package com.fxy.bean;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 项目名称：FingerStorage
 * 类描述：常规数据Bean
 * 创建人：admin
 * 创建时间：2018/3/26 18:09
 * 修改人：COMP-021-2006
 * 修改时间：2018/3/26 18:09
 * 修改备注：
 */

public class CommonDataBean implements Parcelable {
    public String id;
    public String name;

    @Override
    public String toString() {
        return "CommonDataBean{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                '}';
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.id);
        dest.writeString(this.name);
    }

    public CommonDataBean() {
    }

    protected CommonDataBean(Parcel in) {
        this.id = in.readString();
        this.name = in.readString();
    }

    public static final Parcelable.Creator<CommonDataBean> CREATOR = new Parcelable.Creator<CommonDataBean>() {
        @Override
        public CommonDataBean createFromParcel(Parcel source) {
            return new CommonDataBean(source);
        }

        @Override
        public CommonDataBean[] newArray(int size) {
            return new CommonDataBean[size];
        }
    };
}
